#include <iostream>
#include <cstring>
using namespace std;
char niz[8001];
char rez[1001];
int main(){
    int n,br=0,index=0,brEdin=0;;
    bool palindrom=true;
    char symbol;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>niz;
        for(int j=0;j<strlen(niz)/2 && palindrom;j++){
            symbol=niz[j];
            br=0;
            for(int k=0;k<strlen(niz);k++){
                if(niz[k]==symbol){
                    br++;
                }
            }
            if(br%2!=0){
                palindrom=false;
            }
        }
        if(palindrom){
            rez[index]='1';
        }else{
            rez[index]='0';
        }
        index++;
    }
    cout<<rez;
    return 0;
}